window.Gleam.initSearch([{"doc":"bseal","title":"bseal","content":"# bseal\n\n[![Package Version](https://img.shields.io/hexpm/v/bseal)](https://hex.pm/packages/bseal)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/bseal/)\n\nbseal (Bamboo Seal) is number uuid generators, include (48 bits, 54 bits, 60 bits) for Gleam.\n\nafter base64 encode the string length is short.\n\nuuid48: string length is 8\n\nuuid54: string length is 9\n\nuuid60: string length is 10\n\n```sh\ngleam add bseal\n```\n```gleam\nimport bseal/uuid48\n\npub fn main() {\n  let assert Ok(uuid) = uuid48.start(nodeid: 1, epoch: 1_704_038_400) // epoch: 2024-01-01\n  io.debug(uuid |&gt; uuid48.int()) // output: 453607800833\n  io.debug(uuid |&gt; uuid48.string()) // output: &quot;AGmdPkAC&quot;\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/bseal&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"bseal/base64","title":"encode","content":"pub fn encode(n: Int) -&gt; String\n\nSynonyms:\nbseal/base64.encode\nbseal/base64 encode","url":"bseal/base64.html#encode"},{"doc":"bseal/base64","title":"bseal/base64","content":"","url":"bseal/base64.html"},{"doc":"bseal/time","title":"now","content":"pub fn now() -&gt; Int\n\nSynonyms:\nbseal/time.now\nbseal/time now","url":"bseal/time.html#now"},{"doc":"bseal/time","title":"bseal/time","content":"","url":"bseal/time.html"},{"doc":"bseal/uuid48","title":"Message","content":"pub type Message {\n  Generate(client: Subject(Int))\n}\n\nGenerate(client: Subject(Int))\n\n\nSynonyms:\nbseal/uuid48.Message\nbseal/uuid48 Message","url":"bseal/uuid48.html#Message"},{"doc":"bseal/uuid48","title":"UUID48","content":"pub type UUID48 =\n  Subject(Message)\n\n\nSynonyms:\nbseal/uuid48.UUID48\nbseal/uuid48 UUID48","url":"bseal/uuid48.html#UUID48"},{"doc":"bseal/uuid48","title":"int","content":"pub fn int(service: Subject(Message)) -&gt; Int\n\nSynonyms:\nbseal/uuid48.int\nbseal/uuid48 int","url":"bseal/uuid48.html#int"},{"doc":"bseal/uuid48","title":"start","content":"pub fn start(\n  nodeid nodeid: Int,\n  epoch epoch: Int,\n) -&gt; Result(Subject(Message), StartError)\n\nSynonyms:\nbseal/uuid48.start\nbseal/uuid48 start","url":"bseal/uuid48.html#start"},{"doc":"bseal/uuid48","title":"string","content":"pub fn string(service: Subject(Message)) -&gt; String\n\nSynonyms:\nbseal/uuid48.string\nbseal/uuid48 string","url":"bseal/uuid48.html#string"},{"doc":"bseal/uuid48","title":"string_with","content":"pub fn string_with(\n  service: Subject(Message),\n  encode: fn(Int) -&gt; String,\n) -&gt; String\n\nSynonyms:\nbseal/uuid48.string_with\nbseal/uuid48 string_with","url":"bseal/uuid48.html#string_with"},{"doc":"bseal/uuid48","title":"bseal/uuid48","content":" generate a 48 bits number uuid (string length is 8)\n \n nodeid (4 bit): 1 - 15 \n \n time (30 bit): 34 years\n \n index (14 bit): 1 - 16383  (generates of per second)","url":"bseal/uuid48.html"},{"doc":"bseal","title":"main","content":"pub fn main() -&gt; String\n\nSynonyms:\nbseal.main\nbseal main","url":"bseal.html#main"},{"doc":"bseal","title":"bseal","content":"","url":"bseal.html"},{"doc":"bseal/uuid54","title":"Message","content":"pub type Message {\n  Generate(client: Subject(Int))\n}\n\nGenerate(client: Subject(Int))\n\n\nSynonyms:\nbseal/uuid54.Message\nbseal/uuid54 Message","url":"bseal/uuid54.html#Message"},{"doc":"bseal/uuid54","title":"UUID54","content":"pub type UUID54 =\n  Subject(Message)\n\n\nSynonyms:\nbseal/uuid54.UUID54\nbseal/uuid54 UUID54","url":"bseal/uuid54.html#UUID54"},{"doc":"bseal/uuid54","title":"int","content":"pub fn int(service: Subject(Message)) -&gt; Int\n\nSynonyms:\nbseal/uuid54.int\nbseal/uuid54 int","url":"bseal/uuid54.html#int"},{"doc":"bseal/uuid54","title":"start","content":"pub fn start(\n  nodeid nodeid: Int,\n  epoch epoch: Int,\n) -&gt; Result(Subject(Message), StartError)\n\nSynonyms:\nbseal/uuid54.start\nbseal/uuid54 start","url":"bseal/uuid54.html#start"},{"doc":"bseal/uuid54","title":"string","content":"pub fn string(service: Subject(Message)) -&gt; String\n\nSynonyms:\nbseal/uuid54.string\nbseal/uuid54 string","url":"bseal/uuid54.html#string"},{"doc":"bseal/uuid54","title":"string_with","content":"pub fn string_with(\n  service: Subject(Message),\n  encode: fn(Int) -&gt; String,\n) -&gt; String\n\nSynonyms:\nbseal/uuid54.string_with\nbseal/uuid54 string_with","url":"bseal/uuid54.html#string_with"},{"doc":"bseal/uuid54","title":"bseal/uuid54","content":" generate a 54 bits number uuid (string length is 9)\n \n nodeid (4 bit): 1 - 15 \n \n time (32 bit): 136 years\n \n index (18 bit): 1 - 262143 (generates of per second)","url":"bseal/uuid54.html"},{"doc":"bseal/uuid60","title":"Message","content":"pub type Message {\n  Generate(client: Subject(Int))\n}\n\nGenerate(client: Subject(Int))\n\n\nSynonyms:\nbseal/uuid60.Message\nbseal/uuid60 Message","url":"bseal/uuid60.html#Message"},{"doc":"bseal/uuid60","title":"UUID60","content":"pub type UUID60 =\n  Subject(Message)\n\n\nSynonyms:\nbseal/uuid60.UUID60\nbseal/uuid60 UUID60","url":"bseal/uuid60.html#UUID60"},{"doc":"bseal/uuid60","title":"int","content":"pub fn int(service: Subject(Message)) -&gt; Int\n\nSynonyms:\nbseal/uuid60.int\nbseal/uuid60 int","url":"bseal/uuid60.html#int"},{"doc":"bseal/uuid60","title":"start","content":"pub fn start(\n  nodeid nodeid: Int,\n  epoch epoch: Int,\n) -&gt; Result(Subject(Message), StartError)\n\nSynonyms:\nbseal/uuid60.start\nbseal/uuid60 start","url":"bseal/uuid60.html#start"},{"doc":"bseal/uuid60","title":"string","content":"pub fn string(service: Subject(Message)) -&gt; String\n\nSynonyms:\nbseal/uuid60.string\nbseal/uuid60 string","url":"bseal/uuid60.html#string"},{"doc":"bseal/uuid60","title":"string_with","content":"pub fn string_with(\n  service: Subject(Message),\n  encode: fn(Int) -&gt; String,\n) -&gt; String\n\nSynonyms:\nbseal/uuid60.string_with\nbseal/uuid60 string_with","url":"bseal/uuid60.html#string_with"},{"doc":"bseal/uuid60","title":"bseal/uuid60","content":" generate a 60 bits number uuid (string length is 10)\n \n nodeid (4 bit): 1 - 15 \n \n time (34 bit): 544 years\n \n index (22 bit): 1 - 4194303 (generates of per second)","url":"bseal/uuid60.html"}]);